Estimate crypto amount for a fiat payment
curl --request POST \
--url https://api.example.com/api/v1/payment-sessions/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "50000",
"currency": "NGN",
"reference": "cs-abc123"
}
'import requests
url = "https://api.example.com/api/v1/payment-sessions/estimate"
payload = {
"amount": "50000",
"currency": "NGN",
"reference": "cs-abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '50000', currency: 'NGN', reference: 'cs-abc123'})
};
fetch('https://api.example.com/api/v1/payment-sessions/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Payment Sessions
Estimate crypto amount for a fiat payment
Returns the crypto amount equivalent for a given fiat amount.
POST
/
api
/
v1
/
payment-sessions
/
estimate
Estimate crypto amount for a fiat payment
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Crypto asset
Available options:
BTC, TRX, BNB, TON, USDT, ETH, USDC, SOL Blockchain network
Available options:
Bitcoin, Binance_Smart_Chain, Ethereum, Solana, Tron, Base, Arbitrum, TON Fiat amount
Example:
"50000"
Fiat currency
Example:
"NGN"
Session reference
Example:
"cs-abc123"
Response
Payment estimate calculated successfully.